import { VoiceRegion, VoiceRegionPostRequest, VoiceRegionPutRequest } from '../models/region';
import BaseAPIService from './BaseAPIService';
import { OutboundProxyService, OutboundRouteService, VoiceServerService } from './Services';
declare class VoiceRegionService extends BaseAPIService<VoiceRegion, VoiceRegionPutRequest, VoiceRegionPostRequest, void> {
    constructor(baseURL: string, token: string);
    proxy(regionId: string): OutboundProxyService;
    route(regionId: string): OutboundRouteService;
    server(regionId: string): VoiceServerService;
}
export default VoiceRegionService;
